This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 799528 - [abrt] gdb-7.3.50.20110722-10.fc16: __GI_raise: Process /usr/bin/gdb was killed by signal 6 (SIGABRT)
[abrt] gdb-7.3.50.20110722-10.fc16: __GI_raise: Process /usr/bin/gdb was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:06fe48d3e0e2ef42f919c6b36c5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 16:27 EST by curtyc
Modified: 2013-02-13 09:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:54:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (14.97 KB, text/plain)
2012-03-02 16:27 EST, curtyc
no flags Details
File: backtrace (12.22 KB, text/plain)
2012-03-02 16:27 EST, curtyc
no flags Details

  None (edit)
Description curtyc 2012-03-02 16:27:22 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gdb --interpreter mi2 --nx
crash_function: __GI_raise
executable:     /usr/bin/gdb
kernel:         3.1.0-7.fc16.x86_64
pid:            4904
pwd:            /home/curtyc/Doutorado/Dyninst/dyninstAPI_7.0.1_patched/src/dyninst
reason:         Process /usr/bin/gdb was killed by signal 6 (SIGABRT)
time:           Fri 02 Mar 2012 06:19:47 PM BRT
uid:            1000
username:       curtyc

backtrace:      Text file, 12510 bytes
maps:           Text file, 15326 bytes

build_ids:
:9c4040663276f2d45ef7e52080f2580bc4eeae42
:638db099ff5fb986d1a092629d1bb1dca5be4904
:2c5957a6a123fe37bde0be6e87957f0a02f2b865

dso_list:
:/usr/lib64/python2.7/lib-dynload/itertoolsmodule.so python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1320287324
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402984
:/usr/lib/debug/usr/lib64/libstdc++.so.6.0.16.debug gcc-base-debuginfo-4.6.2-1.fc16.x86_64 (Fedora Project) 1330638922
:/usr/lib/debug/lib64/libgcc_s-4.6.2-20111027.so.1.debug gcc-base-debuginfo-4.6.2-1.fc16.x86_64 (Fedora Project) 1330638922
:/lib64/libncurses.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1320287304
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402984
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1320287306
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402984
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402984
:/lib64/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.x86_64 (Fedora Project) 1320287295
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402984
:/usr/lib/debug/lib64/ld-2.14.90.so.debug glibc-debuginfo-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330639004
:/usr/lib/debug/lib64/libpthread-2.14.90.so.debug glibc-debuginfo-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330639004
:/usr/lib/debug/lib64/libm-2.14.90.so.debug glibc-debuginfo-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330639004
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402984
:/usr/lib/debug/lib64/libdl-2.14.90.so.debug glibc-debuginfo-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330639004
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1330402986
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402984
:/usr/lib/debug/lib64/libc-2.14.90.so.debug glibc-debuginfo-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330639004
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402979
:/lib64/libutil-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402984
:/usr/lib64/gconv/UTF-32.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402984
:/usr/lib/debug/usr/lib64/libelf-0.152.so.debug elfutils-debuginfo-0.152-1.fc16.x86_64 (Fedora Project) 1330639006
:/lib64/libthread_db-1.0.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330402984
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1320287324
:/usr/bin/gdb gdb-7.3.50.20110722-10.fc16.x86_64 (Fedora Project) 1330403063

environ:
:TERM=dumb
:ProjDirPath=/home/curtyc/Doutorado/Dyninst/dyninstAPI_7.0.1_patched/src/dyninst
:IMSETTINGS_MODULE=none
:JAVA_HOME=/home/curtyc/000_HPC/usr/lib/jvm_x86_64/jdk1.7.0/jre
:ptp_lc=
:ArchType=x86_64
:user_workspace=i5-ultrabook_curtyc
:system_path=null
:'payload=\"\"'
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1212,unix/unix:/tmp/.ICE-unix/1212
:env_var=null
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:build_type=none
:MAIL=/var/spool/mail/curtyc
:XDG_SESSION_COOKIE=0005e7853f5694f0284e9ac400000007-1330687905.976103-614456753
:GDMSESSION=gnome
:DYNINSTAPI_RT_LIB=/home/curtyc/000_HPC/usr/local/packages/dyninst/x86_64-unknown-linux2.4/lib/libdyninstAPI_RT.so
:HOSTNAME=i5-ultrabook
:PWD=/home/curtyc/Doutorado/Dyninst/dyninstAPI_7.0.1_patched/src/dyninst
:BuilderVersion=0.0.4
:selected_resource_name=null
:GIO_LAUNCHED_DESKTOP_FILE_PID=1815
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DYNINST_ROOT=/home/curtyc/000_HPC/usr/local/packages/dyninst/x86_64-unknown-linux2.4
:NLSPATH=/usr/dt/lib/nls/msg/%L/%N.cat
:selected_resource_path=null
:cdt_pathentry_var=null
:OsType=linux
:ptp_rm=null
:eclipse_home=/home/curtyc/eclipse/
:ConfigDescription=
:HostArchName=amd64
:HISTSIZE=1000
:CWD=/home/curtyc/Doutorado/Dyninst/dyninstAPI_7.0.1_patched/src/dyninst
:PATH=/home/curtyc/000_HPC/usr/lib/jvm_x86_64/jdk1.7.0/jre/bin:/home/curtyc/000_HPC/usr/local/packages/tau/x86_64/bin:/home/curtyc/000_HPC/usr/local/packages/pdt/x86_64/g++/bin:/home/curtyc/vampir-7.4.0/bin:/home/curtyc/000_HPC/usr/local/packages/vampirtrace/bin:/home/curtyc/000_HPC/usr/local/packages/dyninst/x86_64-unknown-linux2.4/bin:/home/curtyc/000_HPC/usr/local/packages/papi/bin:/home/curtyc/000_HPC/usr/local/cuda/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/curtyc/.local/bin:/home/curtyc/bin
:ToolChainVersion=0.0.4
:system=null
:workspace_loc=/home/curtyc/Doutorado/000_workspace_Benchmarks
:PLATFORM=x86_64-unknown-linux2.4
:XAUTHORITY=/var/run/gdm/auth-for-curtyc-NGLjAt/database
:ProjName=parseThat_green
:XDG_SEAT=seat0
:WINDOWPATH=1
:XDG_SESSION_ID=2
:USERNAME=curtyc
:XDG_VTNR=1
:HostOsName=Linux
:MODULESHOME=/usr/share/Modules
:GNOME_KEYRING_CONTROL=/tmp/keyring-xKGNA9
:SHLVL=1
:BuildArtifactFileExt=
:BuildArtifactFileBaseName=${ProjName}
:BuildArtifactFileName=${ProjName}
:XFILESEARCHPATH=/usr/dt/app-defaults/%L/Dt
:DirectoryDelimiter=/
:BuildArtifactFilePrefix=
:build_project=null
:QT_IM_MODULE=xim
:build_files=null
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/nautilus.desktop
:LOGNAME=curtyc
:'payload_args=\"\"'
:GPG_AGENT_INFO=/tmp/keyring-xKGNA9/gpg:0:1
:CDTVersion=5.3.2.201202111925
:_=/usr/bin/gnome-session
:XMODIFIERS=@im=none
:SSH_AUTH_SOCK=/tmp/keyring-xKGNA9/ssh
:LD_LIBRARY_PATH=:/home/curtyc/000_HPC/usr/local/cuda64/cuda/lib64:/home/curtyc/000_HPC/usr/local/cuda64/cuda/CUDAToolsSDK/CUPTI/lib:/home/curtyc/000_HPC/usr/local/packages/papi/lib:/home/curtyc/Doutorado/papi-4.1.4/src/libpfm-3.y/lib:/home/curtyc/000_HPC/usr/local/lm_sensors-3.3.1/lib:/usr/lib64:/home/curtyc/Doutorado/Dyninst/libdwarf-20111009/libdwarf:/usr/lib64:/home/curtyc/000_HPC/usr/local/packages/dyninst/x86_64-unknown-linux2.4/lib:/home/curtyc/000_HPC/usr/local/packages/pdt/x86_64/g++/lib:/home/curtyc/000_HPC/usr/local/packages/tau/x86_64/lib
:SHELL=/bin/bash
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-aT85hDWs5J,guid=a020ef90277ff45742ddcaa600000031
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:GNOME_KEYRING_PID=1208
:'ConfigName=Build (GNU)'
:PathDelimiter=:
:DESKTOP_SESSION=gnome
:system_property=null
:project_classpath=null
:DISPLAY=:0.0
:ee_home=null
:USER=curtyc
:GJS_DEBUG_OUTPUT=stderr
:WorkspaceDirPath=/home/curtyc/Doutorado/000_workspace_Benchmarks
:HISTCONTROL=ignoredups
:HOME=/home/curtyc
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:selected_resource_loc=null
:EclipseVersion=3.7.2.v201202080800
:LOADEDMODULES=
:XDG_RUNTIME_DIR=/run/user/curtyc
:LANG=en_US.UTF-8

event_log:
:2012-03-02-18:20:50> Analyzing coredump 'coredump'
:2012-03-02-18:20:50  Coredump references 3 debuginfo files, 1 of them are not installed
:2012-03-02-18:20:50  Setting up yum repositories
:2012-03-02-18:21:18  Looking for needed packages in repositories
:2012-03-02-18:21:54  Packages to download: 1
:2012-03-02-18:21:58  Downloading 8.21Mb, installed size: 37.24Mb. Continue? YES
:2012-03-02-18:22:05  Downloading (1 of 1) gdb-debuginfo-7.3.50.20110722-10.fc16.x86_64.rpm:  15
:2012-03-02-18:22:10  Downloading (1 of 1) gdb-debuginfo-7.3.50.20110722-10.fc16.x86_64.rpm:  33
:2012-03-02-18:22:15  Downloading (1 of 1) gdb-debuginfo-7.3.50.20110722-10.fc16.x86_64.rpm:  51
:2012-03-02-18:22:20  Downloading (1 of 1) gdb-debuginfo-7.3.50.20110722-10.fc16.x86_64.rpm:  95
:2012-03-02-18:22:21  Downloading (1 of 1) gdb-debuginfo-7.3.50.20110722-10.fc16.x86_64.rpm: 100
:2012-03-02-18:22:21  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-03-02-18:20:50.5042/gdb-debuginfo-7.3.50.20110722-10.fc16.x86_64.rpm
:2012-03-02-18:22:23  Caching files from unpacked.cpio made from gdb-debuginfo-7.3.50.20110722-10.fc16.x86_64.rpm
:2012-03-02-18:22:23  Removing /tmp/abrt-tmp-debuginfo-2012-03-02-18:20:50.5042
:2012-03-02-18:22:23  All 3 debuginfo files are available
:2012-03-02-18:22:23  Generating backtrace
:2012-03-02-18:22:24  Backtrace is generated and saved, 12510 bytes
:2012-03-02-18:22:38> Smolt profile successfully saved
:2012-03-02-18:23:57> Logging into Bugzilla at https://bugzilla.redhat.com
:2012-03-02-18:23:59  fatal: XML-RPC(300): RPC failed at server.  The username or password you entered is not valid.
:2012-03-02-18:23:59* (exited with 1)
:2012-03-02-18:26:46> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 72687e56-9ab2-45f4-b04c-71e0c5e251f6
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3192.23
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2467M CPU @ 1.60GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 1601
:System Memory: 3869
:System Swap: 9535
:Vendor: SAMSUNG ELECTRONICS CO., LTD.
:System: 90X3A 0.1
:Form factor: Laptop
:Kernel: 3.1.0-7.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4147:404:5197:49304) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:278:5197:49304) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:5197:49304) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:5197:49304) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7241:5197:49304) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:145:32902:20993) pci, iwlagn, NETWORK, Centrino Advanced-N 6230 AGN
:(32902:7192:5197:49304) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:5197:49304) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:5197:49304) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33128:5197:49304) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:7171:5197:49304) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:5197:49304) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:5197:49304) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:5197:49304) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:5197:49304) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 5517959 4304520 4248478 1409024 1254104 1254104
:/dev/sda2 /home ext4 4096 4096 10804707 2211062 1662186 2749680 2469819 2469819
:

var_log_messages:
:Feb 28 01:24:23 i5-ultrabook yum[2675]: Updated: gdb-7.3.50.20110722-10.fc16.x86_64
:Mar  1 14:28:23 i5-ultrabook abrt[7761]: Saved core dump of pid 7371 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-03-01-14:28:22-7371 (167288832 bytes)
:Mar  1 18:23:16 i5-ultrabook abrt[2557]: Saved core dump of pid 2413 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-03-01-18:23:15-2413 (175714304 bytes)
:Mar  2 18:19:48 i5-ultrabook abrt[4983]: Saved core dump of pid 4904 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-03-02-18:19:47-4904 (169660416 bytes)
Comment 1 curtyc 2012-03-02 16:27:27 EST
Created attachment 567171 [details]
File: maps
Comment 2 curtyc 2012-03-02 16:27:30 EST
Created attachment 567172 [details]
File: backtrace
Comment 3 melanphos 2012-06-30 10:50:21 EDT
gdb crashed while trying to debug yum crash (with abrt)
python crashed when I tryed to use yum autocompletion. I think there is something wrong with my installation, I have a lot of crash with many softwares


backtrace_rating: 4
Package: gdb-7.4.50.20120120-42.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Dave Malcolm 2012-07-02 10:42:48 EDT
Thanks for filing this bug report.

Looking at the backtrace in attachment 567172 [details] I see that glibc's implementation of "free" detected an error within the heap:
  *** glibc detected *** corrupted double-linked list

How reproducible is this problem?  What happens if you run gdb under valgrind?
Comment 5 curtyc 2012-07-02 10:53:45 EDT
(In reply to comment #4)
> Thanks for filing this bug report.
> 
> Looking at the backtrace in attachment 567172 [details] I see that glibc's
> implementation of "free" detected an error within the heap:
>   *** glibc detected *** corrupted double-linked list
> 

> How reproducible is this problem?  
A: I don't know.

> What happens if you run gdb under valgrind?
A: I have never used Valgring. But if you know the commands to copy&paste I can test this way.
Comment 6 Fedora End Of Life 2013-01-16 08:57:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 09:54:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.